TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Protected Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.StoreInfo Class Reference

Class representing information about a server's store. More...

Inheritance diagram for TIBCO.EMS.ADMIN.StoreInfo:

## Protected Member Functions
| StoreInfo (MapMessage msg)
| Initializes a new instance of the StoreInfo with the specified map message More...
| StoreInfo (MapMessage msg, Store type)
| Initializes a new instance of the StoreInfo with the specified map message and store type More...

## Protected Attributes
long | freeSpace
long | usedSpace
long | fileSize
int | fragmentation = -1

## Properties
long | MsgCount`[get]`
| Get the number of data messages stored in the store. More...
long | MsgBytes`[get]`
| Get the total size of the data messages stored in the store. More...
long | SwappedCount`[get]`
| Get the number of data messages stored in the store as a result of swapping out non-persistent messages. More...
long | SwappedBytes`[get]`
| Get the total size of the data messages stored in the store as a result of swapping out non-persistent messages. More...
long | FreeSpace`[get]`
| Get the amount of space in the store that is not in use, deprecated. More...
long | UsedSpace`[get]`
| Get the amount of space in the store that is in use, deprecated. More...
long | FileSize`[get]`
| Get the total size of the store, deprecated. More...
double | AverageWriteTime`[get]`
| Get the average time (in seconds) a write call takes. This measurement is not available when the store is asynchronous. More...
double | WriteUsage`[get]`
| Get the Ratio between time spent within write and total time (server_rate_interval). This measurement is not available when the store is asynchronous. More...

## Detailed Description

Class representing information about a server's store.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.StoreInfo.StoreInfo | ( | MapMessage | msg | ) |
| inline protected

Initializes a new instance of the StoreInfo with the specified map message

TIBCO.EMS.ADMIN.StoreInfo.StoreInfo | ( | MapMessage | msg,
|  | Store | type
| ) |  |
| inline protected

Initializes a new instance of the StoreInfo with the specified map message and store type

Deprecated:
  Use StoreInfo(MapMessage msg) instead

## Member Data Documentation

long TIBCO.EMS.ADMIN.StoreInfo.fileSize
| protected

int TIBCO.EMS.ADMIN.StoreInfo.fragmentation = -1
| protected

long TIBCO.EMS.ADMIN.StoreInfo.freeSpace
| protected

long TIBCO.EMS.ADMIN.StoreInfo.usedSpace
| protected

## Property Documentation

double TIBCO.EMS.ADMIN.StoreInfo.AverageWriteTime
| get

Get the average time (in seconds) a write call takes. This measurement is not available when the store is asynchronous.

Returns
  average time (in seconds) per write call. Always 0 when store is in asynchronous mode.

since EMS 6.1

long TIBCO.EMS.ADMIN.StoreInfo.FileSize
| get

Get the total size of the store, deprecated.

Instead, if applicable, use FileStoreInfo.Size

Returns
  the size in bytes

long TIBCO.EMS.ADMIN.StoreInfo.FreeSpace
| get

Get the amount of space in the store that is not in use, deprecated.

Instead, if applicable, use FileStoreInfo.NotInUseSpace

Returns

  the number of bytes that are free

long TIBCO.EMS.ADMIN.StoreInfo.MsgBytes
| get

Get the total size of the data messages stored in the store.

Returns
  the size in bytes

long TIBCO.EMS.ADMIN.StoreInfo.MsgCount
| get

Get the number of data messages stored in the store.

Returns
  the number of messages

long TIBCO.EMS.ADMIN.StoreInfo.SwappedBytes
| get

Get the total size of the data messages stored in the store as a result of swapping out non-persistent messages.

This only has meaning for the asynchronous store.

Returns
  the size in bytes

long TIBCO.EMS.ADMIN.StoreInfo.SwappedCount
| get

Get the number of data messages stored in the store as a result of swapping out non-persistent messages.

This only has meaning for the asynchronous store.

Returns
  the number of messages

long TIBCO.EMS.ADMIN.StoreInfo.UsedSpace
| get

Get the amount of space in the store that is in use, deprecated.

Instead, if applicable, use FileStoreInfo.InUseSpace

Returns
  the number of bytes that are in use

double TIBCO.EMS.ADMIN.StoreInfo.WriteUsage
| get

Get the Ratio between time spent within write and total time (server_rate_interval). This measurement is not available when the store is asynchronous.

Returns
  value between [0-1], representing the ratio between time spent writing and total time. Always 0 when store is in asynchronous mode.

since EMS 6.1